<template>
  <Header v-if="store.user"/>
  <router-view v-if="store.user"/>
  <Auth v-else />
</template>

<script>
import { store } from "./vuex/store"
import { supabase } from "./supabase"
import Auth from "./components/Auth.vue"
import Profile from "./components/Profile.vue"
import Header from "./components/Header.vue";
import {onMounted} from "vue";

export default {
  components: {
    Header,
    Auth,
    Profile,
  },

  setup() {
    store.user = supabase.auth.user()
    supabase.auth.onAuthStateChange((_, session) => {
      store.user = session.user
    })
    function handle() {
      console.log(123)
    }
    onMounted(() => {
      const app = document.getElementById('app');
      app.addEventListener('scroll', handle);
      document.body.addEventListener('scroll', handle);
    })
    return {
      store,
    }
  },
}
</script>
<style>
</style>
